/* Copyright 2009 Palm, Inc.  All rights reserved. */

var AppManagerMojoService = Class.create( {
  initialize: function() {
  },
   
  listApps: function(callback, sceneController) {
  	return sceneController.serviceRequest(AppManagerMojoService.identifier, {
      method: 'listApps',
			parameters: { },
			onSuccess: callback,
			onFailure: callback
    });
  },
  
  listLaunchPoints: function(callback, sceneController) {
  	return sceneController.serviceRequest(AppManagerMojoService.identifier, {
      method: 'listLaunchPoints',
			parameters: { },
			onSuccess: callback,
			onFailure: callback
    });
  }


});

AppManagerMojoService.identifier = 'palm://com.palm.applicationManager';
